.search-bar-visible .search-smart-autocomplete {
  background-color: #ffffff;
  scrollbar-width: thin;
  scrollbar-color: #a9b6c5 #ffffff;
}
.search-bar-visible .search-smart-autocomplete::-webkit-scrollbar {
  width: 6px;
  height: 6px;
}
.search-bar-visible .search-smart-autocomplete::-webkit-scrollbar-thumb {
  background: #a9b6c5;
  border: 3px solid #a9b6c5;
  border-radius: 3px;
}
.search-bar-visible .search-smart-autocomplete::-webkit-scrollbar-thumb:hover {
  background: #8494a7;
  border: 3px solid #8494a7;
}
.search-bar-visible .search-smart-autocomplete::-webkit-scrollbar-track {
  background-color: #ffffff;
  border-radius: 3px;
}
.search-bar-visible .search-box {
  --gap: var(--grid-actual-container-padding-x);
}

@media (max-width: 575.98px) {
  .search-bar-in-offcanvas .search-smart-autocomplete {
    background-color: var(--bs-offcanvas-bg);
    scrollbar-width: thin;
    scrollbar-color: #a9b6c5 var(--bs-body-bg);
    position: static;
    margin-top: var(--bs-offcanvas-padding-y);
    margin-left: calc(var(--bs-offcanvas-padding-x) * -1);
    margin-right: calc(var(--bs-offcanvas-padding-x) * -1);
    flex-grow: 1;
  }
  .search-bar-in-offcanvas .search-smart-autocomplete::-webkit-scrollbar {
    width: 6px;
    height: 6px;
  }
  .search-bar-in-offcanvas .search-smart-autocomplete::-webkit-scrollbar-thumb {
    background: #a9b6c5;
    border: 3px solid #a9b6c5;
    border-radius: 3px;
  }
  .search-bar-in-offcanvas .search-smart-autocomplete::-webkit-scrollbar-thumb:hover {
    background: #8494a7;
    border: 3px solid #8494a7;
  }
  .search-bar-in-offcanvas .search-smart-autocomplete::-webkit-scrollbar-track {
    background-color: var(--bs-body-bg);
    border-radius: 3px;
  }
  .search-bar-in-offcanvas .js-search-smart-autocomplete {
    display: flex;
    min-height: 0;
  }
  .search-bar-in-offcanvas .search-smart-title {
    background: var(--bs-offcanvas-bg);
  }
  .search-bar-in-offcanvas .search-smart-close-btn--mobile {
    display: none;
  }
  .search-bar-in-offcanvas .search-smart-section:first-child .search-smart-title {
    padding-top: 0;
  }
}
.search-smart-autocomplete--desktop {
  --left-block-width: 320px;
  border-radius: 10px;
  box-shadow: 0px 0px 40px rgba(0, 0, 0, 0.1);
}
.search-smart-autocomplete--desktop .col-left-block {
  flex: 0 0 var(--left-block-width);
  max-width: var(--left-block-width);
}
.search-smart-autocomplete--desktop .col-right-block {
  flex: 0 0 calc(100% - var(--left-block-width));
  max-width: calc(100% - var(--left-block-width));
}
.search-smart-autocomplete--desktop .col-right-block .search-smart__col-inner {
  min-width: 0;
  flex-grow: 1;
}
.search-smart-autocomplete--desktop .search-smart-close-btn--mobile {
  display: none;
}
.search-smart-autocomplete--desktop .search-smart-autocomplete-product, .search-smart-autocomplete--desktop .search-smart__col-left-block-inner {
  overscroll-behavior-y: contain;
  flex-grow: 1;
}
.search-smart-autocomplete--desktop .search-smart__col-left-block-inner {
  overflow: hidden auto;
}
.search-smart-autocomplete--desktop .search-smart-autocomplete-product {
  overflow: hidden scroll;
  scrollbar-width: thin;
  scrollbar-color: #a9b6c5 #ffffff;
}
.search-smart-autocomplete--desktop .search-smart-autocomplete-product::-webkit-scrollbar {
  width: 6px;
  height: 6px;
}
.search-smart-autocomplete--desktop .search-smart-autocomplete-product::-webkit-scrollbar-thumb {
  background: #a9b6c5;
  border: 3px solid #a9b6c5;
  border-radius: 3px;
}
.search-smart-autocomplete--desktop .search-smart-autocomplete-product::-webkit-scrollbar-thumb:hover {
  background: #8494a7;
  border: 3px solid #8494a7;
}
.search-smart-autocomplete--desktop .search-smart-autocomplete-product::-webkit-scrollbar-track {
  background-color: #ffffff;
  border-radius: 3px;
}
.search-smart-autocomplete--desktop .search-smart-autocomplete-product .search-smart-title {
  padding: 0 0.75rem 0.75rem;
}

.search-smart-autocomplete--mobile {
  overflow: hidden scroll;
  overscroll-behavior-y: contain;
  display: flex;
  flex-direction: column;
}
.search-smart-autocomplete--mobile .search-smart-autocomplete-product .search-smart-close-btn {
  display: none;
}
.search-smart-autocomplete--mobile .search-smart-close-btn {
  position: sticky;
  bottom: calc(100% - 0.5rem);
  right: 0.5rem;
  transform: translateY(100%);
  margin-top: -3.2em; /*hack*/
  float: right;
  background: #ffffff;
}
@media (pointer: fine) {
  .search-smart-autocomplete--mobile {
    padding: 0 0.75rem;
  }
}

.search-smart-title {
  font-weight: 600;
  font-size: 1.125rem;
  padding: 0.5rem 0.75rem;
  color: rgba(60, 74, 96, 0.7);
  display: flex;
  align-items: center;
  position: sticky;
  top: -1px;
  background: #ffffff;
}
.search-smart-actual-query .search-smart-title {
  font-weight: 500;
  color: #a9b6c5;
  padding-left: 0;
  padding-right: 0;
  font-size: 0.875em;
}
.search-smart-title > .icon-set {
  margin-right: 0.5em;
  display: none;
}

.search-smart-autocomplete-search-query, .search-smart-actual-query {
  padding: 0 0.5rem;
}

.search-smart-section {
  margin: 0 0 0.5rem 0;
}

.search-smart-prices {
  font-size: 1rem;
  text-align: right;
  align-items: flex-end;
  display: flex;
  flex-direction: column;
}
.search-smart-prices .badge--sale {
  font-size: 0.75rem;
}

.has-price-sale .search-smart-price-base {
  font-size: 0.75rem;
}

.search-smart-price-base-outer {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: flex-end;
  gap: 0.375rem;
}

.search-smart-product, .search-smart-category, .search-smart-content, .search-smart-query, .search-smart-actual-query-url {
  cursor: pointer;
  line-height: 1.2;
}

.search-smart-product, .search-smart-category, .search-smart-content {
  display: grid;
  gap: 0.75rem;
  align-items: center;
  padding: 0.5rem;
}
.search-smart-product.is-selected, .search-smart-product:hover, .search-smart-product:focus-visible, .search-smart-category.is-selected, .search-smart-category:hover, .search-smart-category:focus-visible, .search-smart-content.is-selected, .search-smart-content:hover, .search-smart-content:focus-visible {
  background-color: #f2f2f2;
  border-radius: 8px;
}

.search-smart-category {
  grid-template-columns: auto 1fr;
}

.search-smart-product {
  grid-template-columns: var(--main-img-width) 1fr;
  padding: 0.5rem;
}
.search-smart-autocomplete--desktop .search-smart-product {
  padding: 0.75rem;
  grid-template-columns: var(--main-img-width) 1fr auto;
}

.search-smart-name-wrapper {
  display: flex;
  gap: 0.375rem;
}

@media (max-width: 399.8px) {
  .search-smart-name-wrapper {
    flex-wrap: wrap;
  }
  .search-smart-name-wrapper .search-smart-prices {
    margin-left: auto;
  }
  .search-smart-name-wrapper .search-smart-name {
    font-size: 0.875rem;
  }
}
@media (min-width: 400px) {
  .search-smart-name-wrapper {
    flex-direction: row;
    align-items: center;
  }
  .search-smart-name {
    flex-grow: 1;
  }
}
.search-smart-query, .search-smart-actual-query-url {
  border: 1px solid #e3e8ef;
  padding: 0.3rem 0.625rem;
  border-radius: 8px;
  display: inline-flex;
  align-items: center;
  font-size: 0.75rem;
}
.search-smart-query.is-selected, .search-smart-query:hover, .search-smart-query:focus-visible, .search-smart-actual-query-url.is-selected, .search-smart-actual-query-url:hover, .search-smart-actual-query-url:focus-visible {
  background-color: #e3e8ef;
}

.search-smart-list.grid {
  --bs-columns: 2;
  --bs-gap: 0;
}

@container search-smart-product-list (min-width: 344px) {
  .search-smart-autocomplete--mobile .search-smart-list.grid {
    --bs-columns: 3;
  }
}
@container search-smart-product-list (min-width: 524px) {
  .search-smart-autocomplete--mobile .search-smart-list.grid {
    --bs-columns: 4;
  }
}
@container search-smart-product-list (min-width: 360px) {
  .search-smart-autocomplete--desktop .search-smart-list.grid {
    --bs-columns: 3;
  }
}
@container search-smart-product-list (min-width: 540px) {
  .search-smart-autocomplete--desktop .search-smart-list.grid {
    --bs-columns: 4;
  }
}
@media (pointer: coarse) {
  .search-smart-list:not(.grid) > a:not(:first-child) {
    border-top: 1px solid #e3e8ef;
  }
}
.search-smart-query {
  white-space: nowrap;
  max-width: 100%;
}
.search-smart-query .search-smart-name {
  -webkit-line-clamp: 1;
  overflow: hidden;
  text-overflow: ellipsis;
}

.search-smart-autocomplete {
  z-index: 1030;
  position: fixed;
  left: 0;
  right: 0;
  top: calc(var(--search-input-bottom-distance) + var(--header-inner-padding-y));
  max-height: calc(100dvh - var(--search-input-bottom-distance) - var(--header-inner-padding-y)) !important;
  color: #3C4A60;
  opacity: 1;
  visibility: visible;
  transition: opacity ease 0.2s, top ease 0.2s;
}
.search-smart-autocomplete > .row {
  max-height: inherit;
}
.no-transition .search-smart-autocomplete {
  transition: none !important;
}
.is-hidden .search-smart-autocomplete {
  opacity: 0;
  visibility: hidden;
  content-visibility: hidden;
  z-index: -1;
  margin: 0 !important;
  padding: 0 !important;
}
.search-smart-autocomplete a {
  text-decoration: none;
}
.search-smart-autocomplete a:hover {
  text-decoration: none;
}
.search-smart-autocomplete .icon-set {
  font-size: 1em;
}
.search-smart-autocomplete .sticky-inner {
  top: 0;
}
.search-smart-autocomplete.type--2 .search-smart-title .icon-set {
  display: inherit;
}
.search-smart-autocomplete.type--2 .search-smart-autocomplete-search-query .search-smart-title {
  display: flex;
  padding-left: 0;
  padding-right: 0;
}
.search-smart-autocomplete.type--2 .search-smart-query .icon-set {
  display: none;
}
.search-smart-autocomplete.type--3 {
  max-width: 1082px;
}
.search-smart-autocomplete.type--3 .search-smart-autocomplete-product {
  container: search-smart-product-list/inline-size;
}
.search-smart-autocomplete.type--3 .search-smart-name {
  flex-grow: 0;
}
.search-smart-autocomplete.type--3 .search-smart-prices {
  text-align: left;
  align-items: flex-start;
  gap: 0.375rem;
  margin-left: 0;
}
.search-smart-autocomplete.type--3 .search-smart-price-base-outer {
  justify-content: flex-start;
}
.search-smart-autocomplete.type--3 .search-smart-name-wrapper {
  flex-direction: column;
  align-items: flex-start;
}
.search-smart-autocomplete.type--3 .search-smart-product {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  word-break: break-word;
  gap: 0.5rem;
}
.search-smart-autocomplete.type--1, .search-smart-autocomplete.type--2 {
  max-width: 960px;
}
.search-smart-autocomplete.type--1 .search-smart-autocomplete-search-query, .search-smart-autocomplete.type--3 .search-smart-autocomplete-search-query {
  order: -1;
}

.search-smart-autocomplete-category.no-category-img .search-smart-category-img-col {
  display: none;
}

@media (max-width: 575.98px) {
  .search-smart-autocomplete.type--3 .search-smart-autocomplete-product .search-smart-name {
    font-size: 0.875rem;
  }
}
@media (min-width: 576px) {
  .search-smart-section {
    margin: 0.75rem 0;
  }
  .search-smart-autocomplete {
    left: var(--search-input-left-distance);
    right: calc(var(--grid-gutter-width-actual) / 2);
    top: calc(var(--search-input-bottom-distance) + 0.375rem);
    max-height: calc(100dvh - var(--search-input-bottom-distance) - 1rem - 0.375rem) !important;
    background-color: #ffffff;
    scrollbar-width: thin;
    scrollbar-color: #a9b6c5 #ffffff;
  }
  .search-smart-autocomplete::-webkit-scrollbar {
    width: 6px;
    height: 6px;
  }
  .search-smart-autocomplete::-webkit-scrollbar-thumb {
    background: #a9b6c5;
    border: 3px solid #a9b6c5;
    border-radius: 3px;
  }
  .search-smart-autocomplete::-webkit-scrollbar-thumb:hover {
    background: #8494a7;
    border: 3px solid #8494a7;
  }
  .search-smart-autocomplete::-webkit-scrollbar-track {
    background-color: #ffffff;
    border-radius: 3px;
  }
  .search-smart-autocomplete--mobile {
    max-height: calc(100dvh - var(--search-input-bottom-distance) - 0.375rem) !important;
  }
  .search-smart-autocomplete--mobile .search-smart-close-btn {
    bottom: calc(100% - 0.75rem);
    right: 0.75rem;
  }
}
@media (min-width: 576px) and (max-width: 1239.98px) {
  .search-smart-autocomplete {
    left: 50% !important;
    transform: translateX(-50%);
  }
  .search-smart-autocomplete--mobile {
    width: 100%;
  }
  .search-smart-autocomplete--desktop {
    width: calc(100% - var(--grid-actual-container-padding-x) * 2) !important;
  }
}